# Created by pyp2rpm-3.3.2
%global pypi_name atomicwrites

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %mkrel 4
Summary:        Atomic file writes
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/python-atomicwrites
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
Powerful Python library for atomic file writes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Powerful Python 3 library for atomic file writes.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Sun Mar 02 2025 wally <wally> 1.4.1-4.mga10
+ Revision: 2156478
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 1.4.1-3.mga10
+ Revision: 2130405
- add and use pytest

* Sat Dec 09 2023 papoteur <papoteur> 1.4.1-2.mga10
+ Revision: 2016023
- rebuild for python 3.12

* Mon Sep 05 2022 neoclust <neoclust> 1.4.1-1.mga9
+ Revision: 1884029
- New version 1.4.1

* Wed Mar 23 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1822192
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.4.0-3.mga9
+ Revision: 1772123
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.4.0-2.mga9
+ Revision: 1702561
- rebuild for python 3.9

* Tue May 19 2020 wally <wally> 1.4.0-1.mga8
+ Revision: 1586195
- new version 1.4.0

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-4.mga8
+ Revision: 1535274
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.3.0-3.mga8
+ Revision: 1451712
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 1.3.0-2.mga8
+ Revision: 1437592
- rebuild for python3.8
- drop python2 support
- move html docs to main pkg
- keep doc build disabled for rebuild

* Sun Mar 17 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1378239
- new version 1.3.0

* Sat Jan 05 2019 wally <wally> 1.2.1-2.mga7
+ Revision: 1349641
- rebuild for python3.7

* Tue Jan 01 2019 wally <wally> 1.2.1-1.mga7
+ Revision: 1347956
- imported package python-atomicwrites

